<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Task 48.10</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet"
        href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">

    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.1.1/css/all.min.css" />
    <!-- Font Awesome -->
    <link rel="stylesheet" href="plugins/fontawesome-free/css/all.min.css">
    <!-- daterange picker -->
    <link rel="stylesheet" href="plugins/daterangepicker/daterangepicker.css">
    <!-- Select2 -->
    <link rel="stylesheet" href="plugins/select2/css/select2.min.css">
    <link rel="stylesheet" href="plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css">

    <!-- Theme style -->
    <link rel="stylesheet" href="dist/css/adminlte.min.css">
    <script src=" https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <link rel="stylesheet" href="https://cdn.datatables.net/1.11.3/css/dataTables.bootstrap4.min.css">
    <script src="https://cdn.datatables.net/1.11.3/js/jquery.dataTables.min.js"></script>
    <script src="https://cdn.datatables.net/1.11.3/js/dataTables.bootstrap4.min.js"></script>
    <!-- Các file css và js tự định nghĩa thêm -->
    <script src="script.js"></script>
</head>

<body class="hold-transition sidebar-mini layout-fixed">
    <div class="wrapper">
        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-white navbar-light">
            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>
                <li class="nav-item d-none d-sm-inline-block">
                    <a href="#" class="nav-link">Learning's history</a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>

            </ul>
        </nav>
        <!-- /.navbar -->

        <!-- Main Sidebar Container -->
        <aside class="main-sidebar sidebar-dark-primary elevation-4">
            <!-- Brand Logo -->
            <a href="#" class="brand-link">
                <span class="brand-text font-weight-light">Devcamp</span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar Menu -->
                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu"
                        data-accordion="false">
                        <!-- Add icons to the links using the .nav-icon class
                 with font-awesome or any other icon font library -->
                        <li class="nav-item">
                            <a href="#" class="nav-link active">
                                <i class="nav-icon fas fa-tachometer-alt"></i>
                                <p>
                                    UI Controls
                                    <i class="right fas fa-angle-left"></i>
                                </p>
                            </a>
                            <ul class="nav nav-treeview">
                                <li class="nav-item">
                                    <a href="./chartjs.html" class="nav-link active">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>ChartJs</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./select2.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Select2</p>
                                    </a>
                                </li>
                                <li class="nav-item">
                                    <a href="./daterangepicker.html" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                        <p>Date Range Picker</p>
                                    </a>
                                </li>
                            </ul>
                        </li>
                        <li class="nav-item">
                            <a href="pages/widgets.html" class="nav-link">
                                <i class="nav-icon fas fa-th"></i>
                                <p>
                                    Danh sách sinh viên
                                </p>
                            </a>
                        </li>
                    </ul>
                </nav>
                <!-- /.sidebar-menu -->
            </div>
            <!-- /.sidebar -->
        </aside>
        <!-- Content Wrapper. Contains page content -->
        <div class="content-wrapper">
            <!-- Content Header (Page header) -->
            <div class="content-header">
                <div class="container-fluid">
                    <div class="row mb-2">
                        <div class="col-sm-6">
                            <h1 class="m-0">F200 - LỊCH SỬ HỌC TẬP</h1>
                        </div><!-- /.col -->
                        <div class="col-sm-6">
                            <ol class="breadcrumb float-sm-right">
                                <li class="breadcrumb-item"><a href="#"> Home </a></li>
                                <li class="breadcrumb-item active"> Learning's history </li>
                            </ol>
                        </div><!-- /.col -->
                    </div><!-- /.row -->
                </div><!-- /.container-fluid -->
            </div>
            <!-- /.content-header -->
            <!-- Main content -->
            <section class="content">
                <div class="container-fluid">
                    <div class='row jumbotron p-3 m-0'>
                        <div class='col-md-12'>
                            <div class="row form-group mb-0">
                                <div class="col-sm-2 text-right">
                                    <label for="studentCodeInput">Sinh viên</label>
                                </div>
                                <div class="col-sm-3">
                                    <select id="student-Select" class="form-control">
                                        <option value="0">Tất cả sinh viên</option>
                                    </select>
                                </div>
                                <div class="col-sm-2 text-right">
                                    <label for="subjectCodeInput">Môn học</label>
                                </div>
                                <div class="col-sm-3">
                                    <select id="subject-Select" class="form-control">
                                        <option value="0">Tất cả môn học</option>
                                    </select>
                                </div>
                                <div class="col-sm-2">
                                    <button id="btn-filter-data" class="btn btn-primary">Lọc dữ liệu</button>
                                </div>
                            </div>
                        </div>
                    </div>
                    <br>
                    <button class="btn btn-primary form-group" id="btn-add-student"><i class="fa fa-plus"></i>&nbsp;
                        Thêm </button>
                    <br>
                    <table class="table table-bordered table-striped table-hover" id="table-users">
                        <thead>
                            <tr>
                                <th>STT</th>
                                <th>Sinh viên</th>
                                <th>Môn học</th>
                                <th>Điểm</th>
                                <th>Ngày thi</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                        <tbody>
                        </tbody>
                    </table>

                    <!-- Modal student detail-->
                    <div>
                        <div class="modal fade" id="modal-user-detail" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Thêm mới thông tin sinh viên</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <form>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Student Id</label>
                                                <div class="col-sm-8">
                                                    <select id="select-student-id" class="form-control">
                                                        <option value="NOT_SELECT_STUDENT">Tất cả sinh viên</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Môn học</label>
                                                <div class="col-sm-8">
                                                    <select id="select-subject-id" class="form-control">
                                                        <option value="NOT_SELECT_SUBJECT">Tất cả môn học</option>
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Điểm</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-grade">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Ngày thi</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-exam-date">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary">Đóng</button>
                                        <button type="button" class="btn btn-primary" id="btn-create-student">Thêm mới</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Modal update student detail-->
                    <div>
                        <div class="modal fade" id="modal-update" tabindex="-1">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title">Chi tiết thông tin sinh viên</h5>
                                        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                                            <span aria-hidden="true">&times;</span>
                                        </button>
                                    </div>
                                    <div class="modal-body">
                                        <form>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Sinh viên</label>
                                                <div class="col-sm-8">
                                                    <select id="select-student-id-update" class="form-control">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Môn học</label>
                                                <div class="col-sm-8">
                                                    <select id="select-subject-id-update" class="form-control">
                                                    </select>
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Điểm</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-grade-update">
                                                </div>
                                            </div>
                                            <div class="row form-group">
                                                <label class="col-form-label col-sm-4">Ngày thi</label>
                                                <div class="col-sm-8">
                                                    <input type="text" class="form-control" id="input-exam-date-update">
                                                </div>
                                            </div>
                                        </form>
                                    </div>
                                    <div class="modal-footer">
                                        <button type="button" class="btn btn-secondary"
                                            data-dismiss="modal">Đóng</button>
                                        <button type="button" class="btn btn-success" data-dismiss="modal"
                                            id="btn-edit-student">Cập nhật</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <!-- Delete confirm modal -->
                    <div>
                        <div class="modal fade" tabindex="-1" id="delete-confirm-modal">
                            <div class="modal-dialog">
                                <div class="modal-content">
                                    <div class="modal-header">
                                        <h5 class="modal-title" id="h5-modal-title">Xác nhận xoá thông tin</h5>
                                        <button class="close" data-dismiss="modal">&times;</button>
                                    </div>
                                    <div class="modal-body">
                                        <label>Bạn có chắc chắn muốn xóa thông tin sinh viên này không?</label>
                                    </div>
                                    <div class="modal-footer">
                                        <button class="btn btn-danger" id="btn-confirm-delete-student">Xác nhận</button>
                                        <button class="btn btn-secondary" data-dismiss="modal">Huỷ</button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div><!-- /.container-fluid -->
            </div>
            </section>
            <!-- /.content -->
            <!-- /.content-wrapper -->
            <footer class="main-footer">
                <strong>Copyright &copy; 2022 Devcamp</strong>
                All rights reserved.
                <div class="float-right d-none d-sm-inline-block">
                    <b>Version</b> 1.0.0
                </div>
            </footer>
        <!-- jQuery -->
        <script src="plugins/jquery/jquery.min.js"></script>
        <!-- Bootstrap 4 -->
        <script src="plugins/bootstrap/js/bootstrap.bundle.min.js"></script>
        <!-- AdminLTE App -->
        <script src="dist/js/adminlte.js"></script>
        <script src="https://cdn.datatables.net/1.10.24/js/jquery.dataTables.min.js"></script>
        <script src="https://cdn.datatables.net/1.10.24/js/dataTables.bootstrap4.min.js"></script>

</body>

</html>